Table of Contents

Module: qtreactor | Twisted-0.19.0/twisted/internet/qtreactor.py
--- | ---
This module provides support for Twisted to interact with the PyQt mainloop. In order to use this support, simply do the following:
        |  from twisted.internet import qtreactor
        |  qtreactor.install()
Then use twisted.internet APIs as usual. The other methods here are not intended to be called directly.
Imported modules |
--- | ---
import default import main from qt import QSocketNotifier, QObject, SIGNAL, QTimer, QApplication from twisted.python import log, threadable
Functions |
install
| install
    install ()
Configure the twisted mainloop to be run inside the qt mainloop.
Classes |
QTReactor | Qt based reactor.
TwistedSocketNotifier | Connection between an fd event and reader/writer callbacks

Table of Contents

This document was automatically generated on Sun Jul 14 19:52:41 2002 by HappyDoc version 2.0